<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE schema SYSTEM "schematron1-5.dtd">
<schema xmlns="http://www.ascc.net/xml/schematron">

<title>Country code validation</title>

<p>A demonstration of the use of Schematron.</p>

<phase id="only-one">
  <active pattern="check-currency"/>
</phase>

<pattern name="Checking currency values" id="check-currency">
  <rule id="currency-value" abstract="true">
    <assert test="
. = 'AED' or
. = 'AFN' or
. = 'ALL' or
. = 'AMD' or
. = 'ANG' or
. = 'AOA' or
. = 'ARS' or
. = 'AUD' or
. = 'AWG' or
. = 'AZM' or
. = 'BAM' or
. = 'BBD' or
. = 'BDT' or
. = 'BGN' or
. = 'BHD' or
. = 'BIF' or
. = 'BMD' or
. = 'BND' or
. = 'BOB' or
. = 'BRL' or
. = 'BSD' or
. = 'BTN' or
. = 'BWP' or
. = 'BYR' or
. = 'BZD' or
. = 'CAD' or
. = 'CDF' or
. = 'CHF' or
. = 'CLP' or
. = 'CNY' or
. = 'COP' or
. = 'CRC' or
. = 'CUP' or
. = 'CVE' or
. = 'CYP' or
. = 'CZK' or
. = 'DJF' or
. = 'DKK' or
. = 'DOP' or
. = 'DZD' or
. = 'EEK' or
. = 'EGP' or
. = 'ERN' or
. = 'ETB' or
. = 'EUR' or
. = 'FJD' or
. = 'FKP' or
. = 'GBP' or
. = 'GEL' or
. = 'GHC' or
. = 'GIP' or
. = 'GMD' or
. = 'GNF' or
. = 'GTQ' or
. = 'GYD' or
. = 'HKD' or
. = 'HNL' or
. = 'HRK' or
. = 'HTG' or
. = 'HUF' or
. = 'IDR' or
. = 'ILS' or
. = 'INR' or
. = 'IQD' or
. = 'IRR' or
. = 'ISK' or
. = 'JMD' or
. = 'JOD' or
. = 'JPY' or
. = 'KES' or
. = 'KGS' or
. = 'KHR' or
. = 'KMF' or
. = 'KPW' or
. = 'KRW' or
. = 'KWD' or
. = 'KYD' or
. = 'KZT' or
. = 'LAK' or
. = 'LBP' or
. = 'LKR' or
. = 'LRD' or
. = 'LSL' or
. = 'LTL' or
. = 'LVL' or
. = 'LYD' or
. = 'MAD' or
. = 'MDL' or
. = 'MGF' or
. = 'MKD' or
. = 'MMK' or
. = 'MNT' or
. = 'MOP' or
. = 'MRO' or
. = 'MTL' or
. = 'MUR' or
. = 'MVR' or
. = 'MWK' or
. = 'MXN' or
. = 'MYR' or
. = 'MZM' or
. = 'NAD' or
. = 'NGN' or
. = 'NIO' or
. = 'NOK' or
. = 'NPR' or
. = 'NZD' or
. = 'OMR' or
. = 'PAB' or
. = 'PEN' or
. = 'PGK' or
. = 'PHP' or
. = 'PKR' or
. = 'PLN' or
. = 'PYG' or
. = 'QAR' or
. = 'ROL' or
. = 'RUB' or
. = 'RWF' or
. = 'SAR' or
. = 'SBD' or
. = 'SCR' or
. = 'SDD' or
. = 'SEK' or
. = 'SGD' or
. = 'SHP' or
. = 'SIT' or
. = 'SKK' or
. = 'SLL' or
. = 'SOS' or
. = 'SRG' or
. = 'STD' or
. = 'SVC' or
. = 'SYP' or
. = 'SZL' or
. = 'THB' or
. = 'TJS' or
. = 'TMM' or
. = 'TND' or
. = 'TOP' or
. = 'TRL' or
. = 'TTD' or
. = 'TWD' or
. = 'TZS' or
. = 'UAH' or
. = 'UGX' or
. = 'USD' or
. = 'UYU' or
. = 'UZS' or
. = 'VEB' or
. = 'VND' or
. = 'VUV' or
. = 'WST' or
. = 'XAF' or
. = 'XAG' or
. = 'XAU' or
. = 'XCD' or
. = 'XDR' or
. = 'XOF' or
. = 'XPD' or
. = 'XPF' or
. = 'XPT' or
. = 'YER' or
. = 'YUM' or
. = 'ZAR' or
. = 'ZMK' or
. = 'ZWD'
">Currency value "<value-of select="."/>" not in list of acceptable values</assert>
  </rule>
  <rule context="@amountCurrencyID">
    <extends rule="currency-value"/>
  </rule>
</pattern>

</schema>
